Skip to content

instances

GET
/alert-rules/v2/{id}/instances
curl --request GET \
--url https://api.siteqwality.com/alert-rules/v2/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/instances \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

Media type application/json
Array<object>
object
group_key
required
string
groups
required
Array<string | null>
state
required
string
value
number | null format: double
evaluated_at
string | null
incident_id

Acknowledgment and resolution use the existing /incident/{id} actions.

string | null format: uuid
muted_until
string | null
Example generated
[
{
"group_key": "example",
"groups": [
"example"
],
"state": "example",
"value": 1,
"evaluated_at": "example",
"incident_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"muted_until": "example"
}
]